﻿Imports System.Web
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration
Imports AjaxControlToolkit
Imports System.Collections.Generic

<WebService([Namespace]:="http://tempuri.org/")> _
<WebServiceBinding(ConformsTo:=WsiProfiles.BasicProfile1_1)> _
<System.Web.Script.Services.ScriptService()> _
Public Class ServiceVB
    Inherits System.Web.Services.WebService
    <WebMethod()> _
    Public Function GetCountries(knownCategoryValues As String) As CascadingDropDownNameValue()
        Dim query As String = "SELECT DISTINCT Country FROM Customers"
        Dim countries As List(Of CascadingDropDownNameValue) = GetData(query)
        Return countries.ToArray()
    End Function

    <WebMethod()> _
    Public Function GetCities(knownCategoryValues As String) As CascadingDropDownNameValue()
        Dim country As String = CascadingDropDown.ParseKnownCategoryValuesString(knownCategoryValues)("Country")
        Dim query As String = String.Format("SELECT DISTINCT City FROM Customers WHERE Country = '{0}'", country)
        Dim cities As List(Of CascadingDropDownNameValue) = GetData(query)
        Return cities.ToArray()
    End Function

    Private Function GetData(query As String) As List(Of CascadingDropDownNameValue)
        Dim conString As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Dim cmd As New SqlCommand(query)
        Dim values As New List(Of CascadingDropDownNameValue)()
        Using con As New SqlConnection(conString)
            con.Open()
            cmd.Connection = con
            Using reader As SqlDataReader = cmd.ExecuteReader()
                While reader.Read()
                    values.Add(New CascadingDropDownNameValue() With { _
                     .name = reader(0).ToString(), _
                     .value = reader(0).ToString() _
                    })
                End While
                reader.Close()
                con.Close()
                Return values
            End Using
        End Using
    End Function
End Class